package eu.dnetlib.repo.manager.config;

import eu.dnetlib.utils.MailLibrary;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MailConfig {

    @Value("${services.repomanager.mail.host}")
    private String host;

    @Value("${services.repomanager.mail.port}")
    private int port;

    @Value("${services.repomanager.mail.authenticate}")
    private boolean authenticate;

    @Value("${services.repomanager.mail.username}")
    private String username;

    @Value("${services.repomanager.mail.password}")
    private String password;

    @Value("${services.repomanager.mail.from}")
    private String from;

    @Value("${services.repomanager.mail.replyTo}")
    private String replyTo;

    @Value("${services.repomanager.mail.mode}")
    private String mode;

    @Value("${services.repomanager.mail.debug}")
    private boolean debug;

    @Bean
    public MailLibrary createMailLibrary() {
        MailLibrary lib = new MailLibrary();

        lib.setAuthenticate(authenticate);
        lib.setDebug(debug);
        lib.setFrom(from);
        lib.setMailhost(host);
        lib.setSmtpPort(port);
        lib.setMode(mode);
        lib.setReplyTo(replyTo);
        lib.setUsername(username);
        lib.setPassword(password);
        lib.setMode(mode);

        lib.init();

        return  lib;
    }
}
